Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Reader Class Referenceabstract

Abstract class for reading from character streams. More...

Inherits ObjectImpl.

Inherited by InputStreamReader.

## Public Member Functions
virtual void | close (Pool &p)=0
| Closes the stream. More...
virtual LogString | read (Pool &p)=0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Member Functions
| Reader ()
| Creates a new character-stream reader. More...
virtual | ~Reader ()

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Abstract class for reading from character streams.

## Constructor & Destructor Documentation

Reader | ( |  | ) |
| protected

Creates a new character-stream reader.

virtual ~Reader | ( |  | ) |
| protected virtual

## Member Function Documentation

virtual void close | ( | Pool & | p | ) |
| pure virtual

Closes the stream.

Parameters

  p | The memory pool associated with the reader.

Implemented in InputStreamReader.

virtual LogString read | ( | Pool & | p | ) |
| pure virtual

Returns
  The complete stream contents as a LogString.

Parameters

  p | The memory pool associated with the reader.

Implemented in InputStreamReader.

The documentation for this class was generated from the following file:

- reader.h